import { SmzEasyTableBuilder } from './state-builder';
export declare class SmzEasyTableOptimizationsBuilder {
    private _tableBuilder;
    constructor(_tableBuilder: SmzEasyTableBuilder);
    disable(...optimizations: Array<'data-source' | 'global-search'>): SmzEasyTableOptimizationsBuilder;
    disableDataSourceOtimization(miliseconds: number): SmzEasyTableOptimizationsBuilder;
    setDataSourceOtimization(method: 'auto' | 'fixed', initialInterval?: number, autoIncrementation?: number): SmzEasyTableOptimizationsBuilder;
    setGlobalSearchOtimization(initialInterval?: number, autoIncrementation?: number): SmzEasyTableOptimizationsBuilder;
    get table(): SmzEasyTableBuilder;
}
